Bug 249865 - security/strongswan: Use VICI interface by default
Summary: security/strongswan: Use VICI interface by default
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-24 20:10 UTC by Dries Michiels
Modified: 2021-05-03 06:23 UTC (History)
2 users (show)

See Also:
strongswan: maintainer-feedback+


Attachments
strongswan.diff (1.78 KB, patch)
2020-09-24 20:10 UTC, Dries Michiels
no flags Details | Diff
strongswan.diff (1.86 KB, patch)
2020-09-25 19:04 UTC, Dries Michiels
no flags Details | Diff
strongswan.diff (1.86 KB, patch)
2020-09-29 18:07 UTC, Dries Michiels
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dries Michiels 2020-09-24 20:10:32 UTC
Created attachment 218261 [details]
strongswan.diff

Change the default interface from stroke to vici. Also added an updating entry.
Comment 1 Dries Michiels 2020-09-25 19:04:38 UTC
Created attachment 218294 [details]
strongswan.diff

Rebase and improve UPDATING entry.
Comment 2 strongswan 2020-09-29 06:03:04 UTC
Comment on attachment 218294 [details]
strongswan.diff

I am happy with the update.
Was thinking of adding it myself as well.
Comment 3 Dries Michiels 2020-09-29 18:07:39 UTC
Created attachment 218414 [details]
strongswan.diff

Remove typo wich => which, replace not recommended by deprecated.
Overall direction of the patch is identical, only cleanup.
Comment 4 strongswan 2020-09-30 05:11:16 UTC
Comment on attachment 218414 [details]
strongswan.diff

Happy with the update.
Comment 5 commit-hook freebsd_committer 2021-03-17 19:12:49 UTC
A commit references this bug:

Author: amdmi3
Date: Wed Mar 17 19:12:32 UTC 2021
New revision: 568683
URL: https://svnweb.freebsd.org/changeset/ports/568683

Log:
  security/strongswan: use "vici" interface instead of deprecated "stroke" by default

  Add UPDATING entry with migration instruction.

  PR:		249865
  Submitted by:	driesm.michiels@gmail.com
  Approved by:	strongswan@nanoteq.com (maintainer)

Changes:
  head/UPDATING
  head/security/strongswan/Makefile
  head/security/strongswan/files/strongswan.in
Comment 6 Juraj Lutter freebsd_committer 2021-04-30 15:26:49 UTC
This also should have a pkg-message entry. I've spent hours trying to figure out what's wrong.
Comment 7 strongswan 2021-05-03 06:23:54 UTC
(In reply to Juraj Lutter from comment #6)
Apologies.  I agree. A package msg should be included.